PHP 7 Apache 2.4 fastcgi mod_fcgid配置方法

PHP 7可以作为Apache模块安装运行,也可以作为CGI程序运行,作为CGI程序安装运行时,不需要php5apache2_2.dll或者 php5apache2_4.dll,下载非线安全版的PHP7即可,这样可以让PHP同时支持Apache和Nginx等多个服务器软件,非线程安全版 即NTS版。

PHP7作为Apache模块安装时不能和VC 9、VC10或者VC11的Apache一起运行,以fastcgi形式安装不受此限,前提是需要安装相应的VC运行库

首先下载PHP 7和Apache 2.4,解压。

下载mod_fcgid,然后将下载得的mod_fcgid.so文件复制到Apache的modules目录

然后在httpd.conf文件中添加以下内容。

注意事项:

  • PHP安装路径如果包含空格,需要在每个空格前加一个\符号,

  • 路径中的非英文字符时必须转码为utf-8,

  • 原则上建议路径不要包含空格或中文字符。

  • 请将以下配置中的路径修改为你电脑上面正确的路径。



LoadModule fcgid_module modules/mod_fcgid.so

<IfModule fcgid_module>
        FcgidInitialEnv PHPRC "

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值